package org.wfc.omada.api.sitesetting.model;

import com.fasterxml.jackson.annotation.JsonProperty;
import io.swagger.annotations.ApiModelProperty;

import javax.validation.constraints.NotNull;
import java.util.Objects;

/**
 * DndSettingEntity
 */
@javax.annotation.Generated(value = "org.openapitools.codegen.languages.SpringCodegen", date = "2024-12-04T11:32:19.054+08:00[Asia/Shanghai]")

public class DndSettingEntity   {
  @JsonProperty("omadacId")
  private String omadacId;

  @JsonProperty("siteId")
  private String siteId;

  @JsonProperty("enable")
  private Boolean enable;

  @JsonProperty("dayMode")
  private Integer dayMode;

  @JsonProperty("timeBegin")
  private Integer timeBegin;

  @JsonProperty("timeEnd")
  private Integer timeEnd;

  public DndSettingEntity omadacId(String omadacId) {
    this.omadacId = omadacId;
    return this;
  }

  /**
   * Omadac ID
   * @return omadacId
  */
  @ApiModelProperty(value = "Omadac ID")


  public String getOmadacId() {
    return omadacId;
  }

  public void setOmadacId(String omadacId) {
    this.omadacId = omadacId;
  }

  public DndSettingEntity siteId(String siteId) {
    this.siteId = siteId;
    return this;
  }

  /**
   * Site ID
   * @return siteId
  */
  @ApiModelProperty(value = "Site ID")


  public String getSiteId() {
    return siteId;
  }

  public void setSiteId(String siteId) {
    this.siteId = siteId;
  }

  public DndSettingEntity enable(Boolean enable) {
    this.enable = enable;
    return this;
  }

  /**
   * Enable DND or not
   * @return enable
  */
  @ApiModelProperty(required = true, value = "Enable DND or not")
  @NotNull


  public Boolean getEnable() {
    return enable;
  }

  public void setEnable(Boolean enable) {
    this.enable = enable;
  }

  public DndSettingEntity dayMode(Integer dayMode) {
    this.dayMode = dayMode;
    return this;
  }

  /**
   * The days you want to block the incoming calls. 1-daily，2-weekend，3-weekday
   * @return dayMode
  */
  @ApiModelProperty(value = "The days you want to block the incoming calls. 1-daily，2-weekend，3-weekday")


  public Integer getDayMode() {
    return dayMode;
  }

  public void setDayMode(Integer dayMode) {
    this.dayMode = dayMode;
  }

  public DndSettingEntity timeBegin(Integer timeBegin) {
    this.timeBegin = timeBegin;
    return this;
  }

  /**
   * The start time of the DND period you want to block incoming calls. It should be an integer value between 0 and 1438.
   * @return timeBegin
  */
  @ApiModelProperty(value = "The start time of the DND period you want to block incoming calls. It should be an integer value between 0 and 1438.")


  public Integer getTimeBegin() {
    return timeBegin;
  }

  public void setTimeBegin(Integer timeBegin) {
    this.timeBegin = timeBegin;
  }

  public DndSettingEntity timeEnd(Integer timeEnd) {
    this.timeEnd = timeEnd;
    return this;
  }

  /**
   * The end time of the DND period you want to block incoming calls. It should be an integer value between 1 and 1439.
   * @return timeEnd
  */
  @ApiModelProperty(value = "The end time of the DND period you want to block incoming calls. It should be an integer value between 1 and 1439.")


  public Integer getTimeEnd() {
    return timeEnd;
  }

  public void setTimeEnd(Integer timeEnd) {
    this.timeEnd = timeEnd;
  }


  @Override
  public boolean equals(Object o) {
    if (this == o) {
      return true;
    }
    if (o == null || getClass() != o.getClass()) {
      return false;
    }
    DndSettingEntity dndSettingEntity = (DndSettingEntity) o;
    return Objects.equals(this.omadacId, dndSettingEntity.omadacId) &&
        Objects.equals(this.siteId, dndSettingEntity.siteId) &&
        Objects.equals(this.enable, dndSettingEntity.enable) &&
        Objects.equals(this.dayMode, dndSettingEntity.dayMode) &&
        Objects.equals(this.timeBegin, dndSettingEntity.timeBegin) &&
        Objects.equals(this.timeEnd, dndSettingEntity.timeEnd);
  }

  @Override
  public int hashCode() {
    return Objects.hash(omadacId, siteId, enable, dayMode, timeBegin, timeEnd);
  }

  @Override
  public String toString() {
    StringBuilder sb = new StringBuilder();
    sb.append("class DndSettingEntity {\n");
    
    sb.append("    omadacId: ").append(toIndentedString(omadacId)).append("\n");
    sb.append("    siteId: ").append(toIndentedString(siteId)).append("\n");
    sb.append("    enable: ").append(toIndentedString(enable)).append("\n");
    sb.append("    dayMode: ").append(toIndentedString(dayMode)).append("\n");
    sb.append("    timeBegin: ").append(toIndentedString(timeBegin)).append("\n");
    sb.append("    timeEnd: ").append(toIndentedString(timeEnd)).append("\n");
    sb.append("}");
    return sb.toString();
  }

  /**
   * Convert the given object to string with each line indented by 4 spaces
   * (except the first line).
   */
  private String toIndentedString(Object o) {
    if (o == null) {
      return "null";
    }
    return o.toString().replace("\n", "\n    ");
  }
}

